<?php
// Ja veidlapa ir nosūtīta
if ($_SERVER["REQUEST_METHOD"] === "POST") {
    $mysqli = require __DIR__ . "/../db/database.php";

    // Veido SQL pieprasījumu, lai pārbaudītu lietotāju
    $sql = sprintf("SELECT * FROM users 
                    WHERE username = '%s'",
                    $mysqli->real_escape_string($_POST["user"]));

    // Izpilda pieprasījumu un iegūst rezultātu
    $result = $mysqli->query($sql);
    $user = $result->fetch_assoc();

    // Ja lietotājs ir atrasts
    if ($user) {
        // Pārbauda paroli
        if (password_verify($_POST["password"], $user["password_hash"]) && $_POST["user"] === $user["username"]) {

            session_start();

            // Iestata lietotāja ID sesijā
            $_SESSION["user_id"] = $user["id"];

            // Ja lietotājs ir parasts lietotājs
            if ($user["id_access"] == 2) {
                // Parāda sveicienu un novirza uz galveno lapu
                echo '<script>
                        alert("Sveiki, ' . $user['username'] . '!");
                        setTimeout(function() {
                            window.location.href = "http://localhost/projectlasitava/homepage/homepage.php";
                        }, 0); 
                    </script>';
                exit;
            }

            // Ja lietotājs ir administrators
            else if ($user["id_access"] == 1) {
                // Parāda sveicienu un novirza uz grāmatas pārvaldes lapu
                echo '<script>
                        alert("Sveiki, ' . $user["username"] . '! ");
                        setTimeout(function() {
                            window.location.href = "http://localhost/projectlasitava/admin/controlpanel.php";
                        }, 0);
                    </script>';
                exit;
            }
        }

        else {
        // Ja ievadītais lietotājvārds vai parole ir nepareiza, tad parāda paziņojumu
        echo '<script>
                    alert("Lietotājvārds vai parole ir nepareiza.");
              </script>';
        }
    }

    else {
        // Ja lietotājs nav atrasts, tad parāda paziņojumu
        echo '<script>
                    alert("Lietotājvārds vai parole ir nepareiza.");
              </script>';
    }
}

?>

<!DOCTYPE html>
<html>
    <head>
        <meta charset="UTF-8">
        <title>Autorizējies šeit</title>
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <link rel="stylesheet" href="login.css">
    </head>

    <body>

        <div class="mainContainer">
            <a href="../homepage/homepage.php" id="returnHome">Atpakaļ</a>

            <div class="loginContainer">

                <h1>Autorizācija</h1>

                <!-- Autorizācijas veidlapa -->
                <div class="formContainer">
                    <form method="post">
                        <!-- Lietotājvārda ievades lauks -->
                        <label for="user">Lietotājvārds</label>
                        <br>
                        <input type="text" id="user" name="user" maxlength="16" value="<?= htmlspecialchars($_POST["user"] ?? "") ?>">
                        <br>

                        <!-- Paroles ievades lauks -->
                        <label for="password">Parole</label>
                        <br>
                        <input type="password" id="password" name="password" maxlength="30">
                        <br>
                    </div>
                    
                    <!-- Poga, lai iesniegtu autorizācijas formu -->
                    <input type="submit" value="Autorizēties">
                </form>

                <br>

                <a href="../register/register.php">Reģistrēties</a>

            </div>
        </div>

    </body>
</html>